module.exports = (api, options) => {
  api.chainWebpack(webpackConfig => {
    webpackConfig.plugins.delete('progress');

    webpackConfig.performance.hints(false);

    webpackConfig.resolve.alias.set('src', webpackConfig.resolve.alias.get('@'));

    options.momentLocale && webpackConfig.plugin('context-replacement')
      .use(require('webpack').ContextReplacementPlugin, [/moment[\/\\]locale$/,
        options.momentLocale]);

    options.bundleAnalyzer && webpackConfig.plugin('bundle-analyzer')
      .use(require('webpack-bundle-analyzer').BundleAnalyzerPlugin);
  });

  api.configureDevServer(devServerConfig => {
    devServerConfig.disableHostCheck = true;
  });
};